Deprecated ops: emit warning?

0 views
Skip to first unread message

Klaas-Jan Stol

unread,
Feb 20, 2007, 6:05:18 AM2/20/07
to Perl 6 Internals
hi,

currently there are some deprecated ops, as listed in:
http://www.parrotcode.org/docs/ops/var.html

they are not listed in DEPRECATED.pod

This is not the first time some ops are deprecated, and will probably
not be the last time before the 1.0 release.
Is it a good idea to add a check to the parser that checks whether a
certain op is deprecated, so it can emit a warning?

As Parrot will be more stable from a 1.0 release, this code can be
removed, so the overhead of checking is gone.

Doing this check, tests using those ops will fail (because there is more
output), and there is more "pressure" to start using the new ops.
Then, after a deprecation cycle, they can be removed completely.

If this is desirable, I'd be happy to provide a patch.

Regards,
klaas-jan


Reply all
Reply to author
Forward
0 new messages